@import "./variables.less";
.dnd5e.sheet.item {
  min-height: 400px;
  max-height: 95%;
  min-width: 480px;

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {
    img.profile {
      border: 2px solid #000;
    }

    .item-subtitle {
      flex: 0 0 100px;
      height: 60px;
      margin: 0;
      padding: 5px;
      text-align: right;
      color: @colorTan;

      .item-type {
        font-size: 24px;
        line-height: 26px;
        margin: 0;
      }

      .item-status {
        font-size: 16px;
        line-height: 24px;
      }
    }
  }

  .sheet-navigation {
    margin-bottom: 5px;
    .item {
      font-size: 18px;
    }
  }

  .sheet-body {
    overflow: hidden;

    .tab {
      padding: 0 5px;
      overflow: hidden auto;
    }

    .item-properties {
      flex: 0 0 120px;
      margin: 5px 5px 5px 0;
      padding-right: 5px;
      border-right: @borderGroove;

      .form-group {
        margin: 0;
        label {
          line-height: 20px;
        }
        input {
          text-align: right;
        }
      }

      .properties-list {
        list-style: none;
        margin: 0;
        padding: 0;

        li {
          margin: 3px 0;
          padding: 0 2px;
          background: rgba(0, 0, 0, 0.05);
          border: @borderGroove;
          text-align: center;
          font-size: 12px;
          line-height: 18px;
        }
      }
    }
  }

  /* ----------------------------------------- */
  /*  Item Details Form                        */
  /* ----------------------------------------- */

  .details {

    // Item Sheet form fields
    input[type="text"],
    input[type="number"],
    select {
      height: 24px;
      border: 1px solid @colorTan;
      background: rgba(0, 0, 0, 0.05);
    }

    .form-group {
      span {
        text-align: center;
        line-height: 24px;
      }
    }

    .form-group.input-select {
      select {
        flex: 1.8;
      }
    }

    .form-group.input-select-select {
      select {
        flex: 1.5;
      }
    }

    .form-group.uses-per {
      input {
        flex: 1;
      }
      span {
        flex: 0 0 16px;
      }
      select {
        flex: 3;
      }
    }

    span.sep {
      flex: 0 0 8px;
    }

    .prepared {
      flex: 1.3 !important;
      text-align: right;
      padding-right: 10px;
    }

    // Spell Materials
    .spell-materials {
      flex: 0 0 100%;
      margin: 0.25em 0;
      justify-content: flex-end;
      label {
        flex: 0 0 64px;
        text-align: right;
        margin-right: 5px;
        font-size: 12px;
        line-height: 24px;
      }
      input[type="text"] {
        flex: 0 0 48px;
        margin-right: 10px;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Item Actions                             */
  /* ----------------------------------------- */

  h4.damage-header {
    margin: 0;
    padding: 0;
    font-weight: bold;
    line-height: 24px;
    color: @colorOlive;
  }

  .damage-parts {
    list-style: none;
    margin: 0;
    padding: 0;

    .damage-part {
      flex: 0 0 100%;
      padding: 0;
      input {
        flex: 3;
      }
      select {
        margin-left: 5px;
        flex: 1;
      }
    }
  }

  .damage-control {
    width: 18px;
    flex: 0 0 18px;
    line-height: 24px;
    float: right;
    text-align: right;
    color: @colorTan;
  }

  .recharge.form-group {
    span {
      text-align: right;
      padding-right: 3px;
    }
    input[type="text"] {
      flex: 0 0 32px;
      text-align: center;
    }
    label.checkbox {
      flex: none;
      input {
        width: 16px;
        height: 16px;
        top: 4px;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Item Actions                             */
  /* ----------------------------------------- */

  .weapon-properties label.checkbox {
    flex: 0 0 98px;
  }

  /* ----------------------------------------- */
  /*  Loot Sheet (No Tabs)                     */
  /* ----------------------------------------- */

  .loot-header {
    margin-bottom: 10px;
  }
}
